import { DateTime, StringUnitLength, InfoUnitOptions, DateObjectUnits } from 'luxon';

interface DateTimePickerProps {
    initial?: DateTime;
    selectDate?: boolean;
    selectTime?: boolean;
    name?: string;
}
declare const DateTimePicker: ({ initial, selectDate, selectTime, name }: DateTimePickerProps) => JSX.Element;

interface UseDatetime {
    datetime?: DateTime;
    setDatetime?: (dt: DateTime) => any;
    onSet?: () => void;
}
interface OnClickOut {
    onClickOut: () => void;
}

declare function sundayFirstWeekdays(length?: StringUnitLength, options?: InfoUnitOptions): string[];
declare function daysInMonthArray(dt: DateTime): number[];
declare function firstDayOffset(dt: DateTime): number;
declare function calDaysChunks(dt: DateTime): DateObjectUnits[][];

export { DateTimePicker, OnClickOut, UseDatetime, calDaysChunks, daysInMonthArray, firstDayOffset, sundayFirstWeekdays };
